package net.minecraft.world.item;

public class TieredItem extends Item {
    private final Tier tier;
    
    public TieredItem(final Tier bfs, final Properties a) {
        super(a.defaultDurability(bfs.getUses()));
        this.tier = bfs;
    }
    
    public Tier getTier() {
        return this.tier;
    }
    
    @Override
    public int getEnchantmentValue() {
        return this.tier.getEnchantmentValue();
    }
    
    @Override
    public boolean isValidRepairItem(final ItemStack ben1, final ItemStack ben2) {
        return this.tier.getRepairIngredient().test(ben2) || super.isValidRepairItem(ben1, ben2);
    }
}
